取得節點
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
取得節點
依 ID 取得單一節點
GET
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
/
{nodeId}
取得節點
請求
GET https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
路徑參數
專案 ID
節點 ID
標頭
使用您的 Developer Key 進行 Bearer 令牌認證
回應
回傳節點物件;若找不到則回傳404。
範例
curl https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"id": "node-booking",
"position": { "x": 200, "y": 300 },
"data": {
"type": "prompt",
"title": "Booking",
"prompt": "Help the user complete their booking.",
"tools": ["tool-uuid-1"]
}
}
}
⌘I
